Bug 1266113 - Kie server controller in BxMS doesn't work if deployed without kie server
Kie server controller in BxMS doesn't work if deployed without kie server
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity urgent
: ER4
: 6.2.0
Assigned To: Maciej Swiderski
Karel Suta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 09:58 EDT by Karel Suta
Modified: 2015-10-27 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (10.61 KB, text/plain)
2015-09-24 09:58 EDT, Karel Suta
no flags Details

  None (edit)
Description Karel Suta 2015-09-24 09:58:59 EDT
Created attachment 1076553 [details]
stacktrace

Description of problem:
If I try to execute operation on kie server controller bundled in B(P/R)MS and there isn't deployed kie server in same container I get exception added as attachment.
It seems that kie server controller needs jackson dependencies which are excluded in BxMS.
Tested on Websphere.

Version-Release number of selected component (if applicable):
6.2.0.ER3

How reproducible:
Deploy BRMS on Websphere(just business central, without kie server). Try to execute any kie server controller command, like
http://localhost:9083/kie-server-controller-services/rest/controller/admin/servers


Steps to Reproduce:
1.
2.
3.

Actual results:
ClassNotFoundException is thrown.

Expected results:
Command passes sucessfully and return response.

Additional info:
Comment 2 Maciej Swiderski 2015-09-29 09:08:23 EDT
included jackson dependencies into war files for WAS assembly

kie-wb-distributions
master
https://github.com/droolsjbpm/kie-wb-distributions/commit/e9a55e953ca8904b8e476c5556b8f28e3c5204c3

6.3.x:
https://github.com/droolsjbpm/kie-wb-distributions/commit/a5913f7f89a3523872edac28fa64ab99d7f2d785
Comment 3 Karel Suta 2015-10-27 12:31:18 EDT
Verified in 6.2.0ER4.

Note You need to log in before you can comment on or make changes to this bug.